net.corda.core.crypto

## Class CompositeKey.Leaf

- net.corda.core.crypto.CompositeKey
- - net.corda.core.crypto.CompositeKey.Leaf

- Enclosing class:
    CompositeKey

      public static class CompositeKey.Leaf
      extends CompositeKey

  The leaf node of the tree – a wrapper around a PublicKey primitive

  See Also:
    PublicKey

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.crypto.CompositeKey

      `CompositeKey.Builder, CompositeKey.Companion, CompositeKey.Leaf, CompositeKey.Node`

  - ### Field Summary

    - ### Fields inherited from class net.corda.core.crypto.CompositeKey

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Leaf(java.security.PublicKey publicKey)` The leaf node of the tree – a wrapper around a PublicKey primitive

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `java.util.Set<java.security.PublicKey>` | `getKeys()` Returns all PublicKeys contained within the tree leaves
    `java.security.PublicKey` | `getPublicKey()`
    `int` | `hashCode()`
    `boolean` | `isFulfilledBy(java.lang.Iterable<? extends java.security.PublicKey> keys)` Checks whether keys match a sufficient amount of leaf nodes
    `java.lang.String` | `toString()`

    - ### Methods inherited from class net.corda.core.crypto.CompositeKey

      `containsAny, getKeys, getSingleKey, isFulfilledBy, isFulfilledBy, toBase58String`

- - ### Constructor Detail

    - #### Leaf

          public Leaf(java.security.PublicKey publicKey)

      The leaf node of the tree – a wrapper around a PublicKey primitive

      See Also:
        PublicKey

  - ### Method Detail

    - #### isFulfilledBy

          public boolean isFulfilledBy(java.lang.Iterable<? extends java.security.PublicKey> keys)

      Checks whether keys match a sufficient amount of leaf nodes

    - #### getKeys

          public java.util.Set<java.security.PublicKey> getKeys()

      Returns all PublicKeys contained within the tree leaves

      See Also:
        PublicKey

    - #### equals

          public boolean equals(java.lang.Object other)

    - #### hashCode

          public int hashCode()

    - #### toString

          public java.lang.String toString()

    - #### getPublicKey

          public java.security.PublicKey getPublicKey()